sublime text 3 certificate verification failed

Henry asked:

I was following the official instruction to install Sublime text 3 but get errors shown as below when I do sudo apt-get update:

Ign:10 https://download.sublimetext.com apt/stable/ InRelease
Hit:12 https://packagecloud.io/github/git-lfs/ubuntu xenial InRelease
Ign:13 https://download.sublimetext.com apt/stable/ Release
Ign:14 https://download.sublimetext.com apt/stable/ Packages
Ign:15 https://download.sublimetext.com apt/stable/ Translation-en_US
Ign:16 https://download.sublimetext.com apt/stable/ Translation-en
Ign:14 https://download.sublimetext.com apt/stable/ Packages
Ign:15 https://download.sublimetext.com apt/stable/ Translation-en_US
Ign:16 https://download.sublimetext.com apt/stable/ Translation-en
Ign:14 https://download.sublimetext.com apt/stable/ Packages
Ign:15 https://download.sublimetext.com apt/stable/ Translation-en_US
Ign:16 https://download.sublimetext.com apt/stable/ Translation-en
Ign:14 https://download.sublimetext.com apt/stable/ Packages
Ign:15 https://download.sublimetext.com apt/stable/ Translation-en_US
Ign:16 https://download.sublimetext.com apt/stable/ Translation-en
Ign:14 https://download.sublimetext.com apt/stable/ Packages
Ign:15 https://download.sublimetext.com apt/stable/ Translation-en_US
Ign:16 https://download.sublimetext.com apt/stable/ Translation-en
Err:14 https://download.sublimetext.com apt/stable/ Packages
  server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Ign:15 https://download.sublimetext.com apt/stable/ Translation-en_US
Ign:16 https://download.sublimetext.com apt/stable/ Translation-en
Reading package lists... Done
W: The repository 'https://download.sublimetext.com apt/stable/ Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch https://download.sublimetext.com/apt/stable/Packages  server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
E: Some index files failed to download. They have been ignored, or old ones used instead.

I googled for a while but couldn’t find the right solution for me. Any help is appreciated!


  1. My environment is Ubuntu 16.04 x86_64, KDE plasma

  2. My /etc/apt/sources.list.d/sublime-text.list file:

deb https://download.sublimetext.com/ apt/stable/
  1. My apt-transport-https and ca-certificates are:
apt-transport-https is already the newest version (1.2.32).
ca-certificates is already the newest version (20170717~16.04.2).
  1. The output of apt-key list:
...
pub   4096R/8A8F901A 2017-05-08
uid                  Sublime HQ Pty Ltd <[email protected]>
sub   4096R/BD3DF454 2017-05-08

My answer:


The proper CA certificate should already be in your bundle, so it’s likely someone has messed with it. Run sudo dpkg-reconfigure ca-certificates and ensure that mozilla/DST_Root_CA_X3.crt is selected. Unless you have some extremely good reason for not doing so, every certificate should be selected. If that certificate does not appear in the list, then reinstall the package: sudo apt install --reinstall ca-certificates


View the full question and any other answers on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.